

`timescale 1ns / 100ps


module top (
    input i_clk, //50M

    output o_led1 ,
    output o_led2 




);

wire [15:0]cosdata1/* synthesis syn_preserve = 1 */;
wire [15:0]sindata1/* synthesis syn_preserve = 1 */;
reg [25:0]nco_freq = 0/* synthesis syn_preserve = 1 */;
always @(posedge i_clk)
begin
     nco_freq <= 26'd2684355;   //2MHz
end



wire data_valid;
DDS_II_Top u_DDS_II_Top(
    .clk_i(i_clk), //input clk_i
    .rst_n_i(1'b1), //input rst_n_i
    .phase_valid_i(1'b1), //input phase_valid_i
    .phase_inc_i(nco_freq), //[25:0] phase_inc_i
    .cosine_o(cosdata1), //output [15:0] cosine_o
    .sine_o(sindata1), //output [15:0] sine_o
    .data_valid_o(data_valid) //output data_valid_o
);




assign o_led1 = data_valid;
assign o_led2 = (&cosdata1) | (&sindata1); //for catch data


endmodule


